coolkey_1.1.0-13+b1_amd64.deb


Advertisement

Description

coolkey - Smart Card PKCS #11 cryptographic module

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name coolkey
Package version 1.1.0
Package release 13+b1
Package architecture amd64
Package type deb
Installed size 395 B
Download size 83.86 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
coolkey_1.1.0-13+b1_i386.deb 1.1.0 i386 Debian Main
coolkey - - -

Requires

Name Value
libc6 >= 2.14
libckyapplet1 = 1.1.0-13+b1
libgcc1 >= 1:4.1.1
libpcsclite1 -
libstdc++6 >= 5.2
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package coolkey_1.1.0-13+b1_amd64.deb
Source Package coolkey

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install coolkey deb package:
    # sudo apt-get install coolkey

Files

Path
/usr/lib/pkcs11/libcoolkeypk11.a
/usr/lib/pkcs11/libcoolkeypk11.so
/usr/share/doc/coolkey/README.Debian.gz
/usr/share/doc/coolkey/changelog.Debian.amd64.gz
/usr/share/doc/coolkey/changelog.Debian.gz
/usr/share/doc/coolkey/changelog.gz
/usr/share/doc/coolkey/copyright
/usr/share/man/man1/pk11install.1.gz

Changelog

2014-01-18 - Ludovic Rousseau <rousseau@debian.org>
coolkey (1.1.0-13) unstable; urgency=medium
* Fix "uninitialized variable causes firefox to crash when card is
inserted into reader" patch in debian/patches/coolkey-nextSize.patch
(Closes: #698230)
* Install the libckyapplet.pc in the correct multi-arch directory
* debian/control: use canonical Vcs-* fields
2012-04-11 - A. Maitland Bottoms <bottoms@debian.org>
coolkey (1.1.0-12) unstable; urgency=low
* The coolkey device driver has been updated to follow the new Card
Compatibility Container (CCC) specification, so that
Gemalto TOPDLGX4 144K CAC cards are now supported.
* Handle pcscd restarting.
* debian/control: Standards-Version: 3.9.2 -> 3.9.3.
Dep3 headers updated in debian/patches files;
Dep5 Machine-readable debian/copyright
2012-04-09 - Ludovic Rousseau <rousseau@debian.org>
coolkey (1.1.0-11) unstable; urgency=low
* debian/control: Fix libckyapplet1-dev_1.1.0-10_amd64.deb: package says
section is libdevel, override says devel.
* Fix "Coolkey don't working with ActiveKey Sim" proposed patch applied
(Closes: #634870)
* Fix lintian warning: 
I: coolkey: package-contains-empty-directory usr/bin/
* Use debhelper version 9 to have automatic hardening
2011-08-07 - Ludovic Rousseau <rousseau@debian.org>
coolkey (1.1.0-10) unstable; urgency=low
* Fix "FTBFS: /usr/bin/ld: cannot find -lsoftokn3" do not build pk11install
anymore (Closes: #632803)
* Fix "Broken dependencies: pk11install: error while loading shared
libraries: libsoftokn3.so" pk11install is no more provided
(Closes: #635033)
* Do not provide .la files any more. Fix lintian errors:
E: coolkey: non-empty-dependency_libs-in-la-file
usr/lib/pkcs11/libcoolkeypk11.la
E: libckyapplet1-dev: non-empty-dependency_libs-in-la-file
usr/lib/libckyapplet.la
* debian/control: Standards-Version: 3.8.3 -> 3.9.2. No change needed.
2011-03-27 - Ludovic Rousseau <rousseau@debian.org>
coolkey (1.1.0-9) unstable; urgency=low
* debian/patches/coolkey-latest.patch: refresh
* debian/patches/coolkey-pcsc-lite: use SCARD_READERSTATE * instead of
LPSCARD_READERSTATE not present in pcsc-lite from squeeze (1.5.5)
2011-02-23 - Ludovic Rousseau <rousseau@debian.org>
coolkey (1.1.0-8) unstable; urgency=low
* Fix "FTBFS: cky_card.h:44: error: expected ')' before '*' token"
patch in coolkey-pcsc-lite (Closes: #614437)
* debian/patches/spelling-error-in-binary: I: coolkey:
spelling-error-in-binary ./usr/lib/pkcs11/libcoolkeypk11.so Inconsistant
Inconsistent
2009-11-01 - Ludovic Rousseau <rousseau@debian.org>
coolkey (1.1.0-6) unstable; urgency=low
* debian/control: Standards-Version: 3.7.3 => 3.8.3
add debian/README.source (lintian warning patch-system-but-no-source-readme)
* use debhelper compat level 7 instead of (deprecated) 4
* debian/control: add ${misc:Depends}
lintian warning debhelper-but-no-misc-depends
2008-06-22 - Ludovic Rousseau <rousseau@debian.org>
coolkey (1.1.0-5) unstable; urgency=medium
* debian/control: Build-Depends: libnspr4-dev
Closes: #486956 "FTBFS: pkcs11t.h:59:21: error: prtypes.h: No such file or
directory"

See Also

Package Description
coolmail_1.3-12+b1_amd64.deb Mail notifier with 3d graphics
coop-computing-tools-dev_7.0.0-1_amd64.deb libraries and header files for coop-computing-tools
coop-computing-tools-doc_7.0.0-1_all.deb documentation for coop-computing-tools
coop-computing-tools_7.0.0-1_amd64.deb cooperative computing tools
copyfs_1.0.1-5+b1_amd64.deb Versioning filesystem for FUSE
copyq-doc_3.6.1-1_all.deb Documentation and examples for CopyQ - HTML format
copyq-plugins_3.6.1-1_amd64.deb Plugins for CopyQ
copyq_3.6.1-1_amd64.deb Advanced clipboard manager with editing and scripting features
copyright-update_2016.1018-2_all.deb update copyright information in files
coq-theories_8.6-5_amd64.deb proof assistant for higher-order logic (theories)
coq_8.6-5_amd64.deb proof assistant for higher-order logic (toplevel and compiler)
coqide_8.6-5_amd64.deb proof assistant for higher-order logic (gtk interface)
coquelicot_0.9.6-1.1_all.deb "one-click" file sharing web application with a focus on users' privacy
corebird_1.7.4-2_amd64.deb Native Gtk+ Twitter client for the Linux desktop
corekeeper_1.6_amd64.deb enable core files and report crashes to the sysadmin
Advertisement
Advertisement